import { IRelativePattern } from '@vscode-alt/monaco-editor/esm/vs/base/common/glob';
import * as cdeops from 'cdeops';
import { URI } from '@vscode-alt/monaco-editor/esm/vs/base/common/uri';
export declare class Disposable {
    static from(...inDisposables: {
        dispose(): any;
    }[]): Disposable;
    private _callOnDispose?;
    constructor(callOnDispose: Function);
    dispose(): any;
}
export declare enum ConfigurationTarget {
    Global = 1,
    Organization = 2,
    OrganizationResource = 3
}
export declare enum LogLevel {
    Trace = 1,
    Debug = 2,
    Info = 3,
    Warning = 4,
    Error = 5,
    Critical = 6,
    Off = 7
}
export declare class RelativePattern implements IRelativePattern {
    base: string;
    baseFolder?: URI;
    pattern: string;
    constructor(base: cdeops.OrganizationResource | string, pattern: string);
    pathToRelative(from: string, to: string): string;
}
